aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-module-implementation/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-03-22 09:31:00 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-03-22 09:31:00 +0000
commit1fca8a5759c4d2a2cbce06dbd5d8b28a0fa11b5c (patch)
tree550c9ee0e964c663d04ffa2ee86a4c6ef71b15f3 /testing/perl-module-implementation/APKBUILD
parent63b79a4032c1ebe389908cba5e47ca366dc92d70 (diff)
downloadaports-1fca8a5759c4d2a2cbce06dbd5d8b28a0fa11b5c.tar.gz
aports-1fca8a5759c4d2a2cbce06dbd5d8b28a0fa11b5c.tar.bz2
aports-1fca8a5759c4d2a2cbce06dbd5d8b28a0fa11b5c.tar.xz
testing/perl-module-implementation: new aport
Loads one of several alternate underlying implementations for a module http://search.cpan.org/dist/Module-Implementation/
Diffstat (limited to 'testing/perl-module-implementation/APKBUILD')
-rw-r--r--testing/perl-module-implementation/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-module-implementation/APKBUILD b/testing/perl-module-implementation/APKBUILD
new file mode 100644
index 0000000000..456b76fcdd
--- /dev/null
+++ b/testing/perl-module-implementation/APKBUILD
@@ -0,0 +1,39 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor:
+# Maintainer:
+pkgname=perl-module-implementation
+_pkgreal=Module-Implementation
+pkgver=0.06
+pkgrel=0
+pkgdesc="Loads one of several alternate underlying implementations for a module"
+url="http://search.cpan.org/dist/Module-Implementation/"
+arch="noarch"
+license="Artistic-2"
+cpandepends="perl-try-tiny perl-module-runtime"
+cpanmakedepends=" perl-test-fatal perl-test-requires "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="748f3540162fc52222d761fab3efb266 Module-Implementation-0.06.tar.gz"